    /*
     *  call-seq:
     *     analyzer.token_stream(field_name, input) -> token_stream
     *
     *  Create a new TokenStream to tokenize +input+. The TokenStream created may
     *  also depend on the +field_name+. Although this parameter is typically
     *  ignored.
     *
     *  field_name:: name of the field to be tokenized
     *  input::      data from the field to be tokenized
     */
    static VALUE
    frt_analyzer_token_stream(VALUE self, VALUE rfield, VALUE rstring)
    {
        TokenStream *ts;
        Analyzer *a;
        GET_A(a, self);

        StringValue(rstring);

        ts = a_get_ts(a, frt_field(rfield), RSTRING(rstring)->ptr);

        /* Make sure that there is no entry already */
        object_set(&ts->text, rstring);
        return get_rb_token_stream(ts);
    }